play.mvc.results

## Class RedirectToStatic

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - play.utils.FastRuntimeException
        - - play.mvc.results.Result
          - - play.mvc.results.RedirectToStatic

- All Implemented Interfaces:
    java.io.Serializable

      public class RedirectToStatic
      extends Result

  302 Redirect
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedirectToStatic(java.lang.String file)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Http.Request request, Http.Response response)`
    `java.lang.String` | `getFile()`

    - ### Methods inherited from class play.mvc.results.Result

      `getEncoding, setContentTypeIfNotSet`

    - ### Methods inherited from class play.utils.FastRuntimeException

      `fillInStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RedirectToStatic

          public RedirectToStatic(java.lang.String file)

  - ### Method Detail

    - #### apply

          public void apply(Http.Request request,
                            Http.Response response)

      Specified by:
        `apply` in class `Result`

    - #### getFile

          public java.lang.String getFile()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly